%define snapshot_date 20150128

%define major 1
%define libname %mklibname qtelegram %{major}
%define develname %mklibname qtelegram -d

Name:		libqtelegram
Version:	1.0.0
Release:	%mkrel %{snapshot_date}.1
Summary:	This is a Qt asynchronous library to be used as Telegram client

Group:		System/Libraries
License:	GPLv3
URL:		https://launchpad.net/libqtelegram
Source:		libqtelegram-%{snapshot_date}.tar.xz
Patch0:		libqtelegram-install_lib.patch
#---------------------------------------------
BuildRequires:	cmake
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: %{_lib}thumbnailer-devel
BuildRequires: libmediainfo-devel
#---------------------------------------------
Requires:       glibc >= 2.20

%description
This is a Qt asynchronous library to be used as Telegram client. It was
based originally on telegram-cli code (https://github.com/vysheng/tg),
but it's now completely different. Now works using signal-slot mechanism
and has an external easy to use API for client applications to interact to.

%package	-n %{libname}
Summary:	This is a Qt asynchronous library to be used as Telegram client
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}qtelegram1.0.0 < %{version}-%{release}

%description	-n %{libname}
This is a Qt asynchronous library to be used as Telegram client.

%package	-n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}

%description	-n %{develname}
Development files for %{name}.


%prep
%setup -n %{name}
%apply_patches

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
LDFLAGS="-lz"
export LDFLAGS
%{cmake} ../..
popd

make -Wall -Wpedantic -C %{_target_platform}/build


%install
rm -rf %buildroot
%makeinstall_std -C %{_target_platform}/build

#I don't know why the build does this maybe a bug in the code but let's fix it
mkdir -p %buildroot/%{_libdir}/qt5/qml/Telegram
mv %buildroot/usr/**Unknown**/Telegram/libTelegram.so %buildroot/%{_libdir}/qt5/qml/Telegram/libTelegram.so
mv %buildroot/usr/**Unknown**/Telegram/qmldir %buildroot/%{_libdir}/qt5/qml/Telegram/qmldir
rm -rf %buildroot/usr/**Unknown**/Telegram

# add missing header file
install -m 0644 lib/secret/secretchatmessage.h %buildroot/%{_includedir}/%{name}/secret/secretchatmessage.h

%files
%doc README
%{_libdir}/qt5/qml/Telegram

%files -n %{libname}
%doc README
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc README
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so


%changelog
* Wed Jan 28 2015 pinoc <vogtpet at gmail.com> 1.0.0-20150128.1.pclos2015
- imported package 

